- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::util::UnsupportedOperationException Class Reference

Indicates that the requested operation is unsopported. More...

`#include <geos.h>`

Inheritance diagram for geos::util::UnsupportedOperationException:

List of all members.

## Public Member Functions
| UnsupportedOperationException (const std::string &msg)

## Detailed Description

Indicates that the requested operation is unsopported.

This exception is thrown - for example - when requesting the X or Y member of an empty Point

The documentation for this class was generated from the following file:

- UnsupportedOperationException.h